Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.soap.server
Class ProviderDeploymentDescriptor

    java.lang.Object
      |
      +--oracle.soap.server.DeploymentDescriptor
            |
            +--oracle.soap.server.ProviderDeploymentDescriptor

All Implemented Interfaces:
  java.io.Serializable

public final class ProviderDeploymentDescriptor
extends DeploymentDescriptor
implements java.io.Serializable

`ProviderDeploymentDescriptor` defines the deployment information for a specific provider. Different providers may be deployed using the same implementation and be distinguished only by their provider descriptor.

See Also:
  Serialized Form

Field Summary

Fields inherited from class oracle.soap.server.DeploymentDescriptor
`m_id`

Constructor Summary
`ProviderDeploymentDescriptor()` Construct a new instance of a provider descriptor.

Method Summary
`static ProviderDeploymentDescriptor` | `fromXML(Element root)` Build a provider descriptor from the given document.
`java.lang.String` | `getClassname()` Returns the name of the class that implements this provider.
`java.util.Hashtable` | `getOptions()` Get the provider-specific options.
`void` | `setClassname(java.lang.String classname)` Set the name of the class that implements this provider.
`void` | `setOptions(java.util.Hashtable options)` Set the options.
`java.lang.String` | `toString()`
`void` | `toXML(java.io.Writer pr)` Write out the service deployment descriptor as XML.

Methods inherited from class oracle.soap.server.DeploymentDescriptor
`getId, setId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProviderDeploymentDescriptor

    public ProviderDeploymentDescriptor()

  Construct a new instance of a provider descriptor.

Method Detail

### setClassname

    public void setClassname(java.lang.String classname)

  Set the name of the class that implements this provider.
  Parameters:
    `classname` - The name of the implementing class.

### getClassname

    public java.lang.String getClassname()

  Returns the name of the class that implements this provider.
  Returns:
    The classname.

### setOptions

    public void setOptions(java.util.Hashtable options)

  Set the options.
  Parameters:
    `options` - The name-value pairs that represent the provider implementation-specific options for this service.

### getOptions

    public java.util.Hashtable getOptions()

  Get the provider-specific options.
  Returns:
    The name-value pairs that represent the provider-specific options for this service.

### fromXML

    public static ProviderDeploymentDescriptor fromXML(Element root)

  Build a provider descriptor from the given document.
  Parameters:
    `root` - The root of the document that represents the XML provider descriptor.
  Returns:
    The `ProviderDeploymentDescriptor` for the given XML.

### toXML

    public void toXML(java.io.Writer pr)

  Write out the service deployment descriptor as XML.
  Parameters:
    `pr` - The writer for the XML output.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.